<?php

	class icwoorok2_afterpay extends icwoorok2_abstract
	{
		public function getPaymentCode()
		{
			return 'icwoorok2_afterpay';
		}

		public function getPaymentName()
		{
			return 'Afterpay';
		}

		public function payment_fields()
		{
			global $woocommerce;

			$sDescriptionHtml = $this->get_option('description');
			$sDescriptionHtml .= '<div class="woocommerce-billing-fields">';
			$sDescriptionHtml .= '<input type="hidden" name="woocommerce-billing-fields" value="1">';
			$sDescriptionHtml .= '<p>';
			$sDescriptionHtml .= __('Gender', 'ic-woo-rabo-omnikassa-2') . '<br/>';
			$sDescriptionHtml .= '<select name="icwoorok2_afterpay_gender">';
			$sDescriptionHtml .= '<option value="">-- ' . __('Please Choose', 'ic-woo-rabo-omnikassa-2') . ' --</option>';
			$sDescriptionHtml .= '<option value="m">' . __('Male', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="f">' . __('Female', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '</select>';
			$sDescriptionHtml .= '</p>';
			$sDescriptionHtml .= '<p>';
			$sDescriptionHtml .= __('Birthdate', 'ic-woo-rabo-omnikassa-2') . '<br/>';
			$sDescriptionHtml .= '<select name="icwoorok2_afterpay_birthday_day">';
			$sDescriptionHtml .= '<option value="">-- ' . __('Day', 'ic-woo-rabo-omnikassa-2') . ' --</option>';

			for($i = 1;$i < 32; $i++)
			{
				$sDescriptionHtml .= '<option value="' . sprintf('%02d', $i) . '">' . $i . '</option>';
			}

			$sDescriptionHtml .= '</select>';
			$sDescriptionHtml .= '<select name="icwoorok2_afterpay_birthday_month">';
			$sDescriptionHtml .= '<option value="">-- ' . __('Month', 'ic-woo-rabo-omnikassa-2') . ' --</option>';
			$sDescriptionHtml .= '<option value="01">' . __('January', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="02">' . __('February', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="03">' . __('March', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="04">' . __('April', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="05">' . __('May', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="06">' . __('June', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="07">' . __('July', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="08">' . __('August', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="09">' . __('September', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="10">' . __('October', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="11">' . __('November', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '<option value="12">' . __('December', 'ic-woo-rabo-omnikassa-2') . '</option>';
			$sDescriptionHtml .= '</select>';
			$sDescriptionHtml .= '<select name="icwoorok2_afterpay_birthday_year">';
			$sDescriptionHtml .= '<option value="">-- ' . __('Year', 'ic-woo-rabo-omnikassa-2') . ' --</option>';

			for($i = date('Y') - 18; $i >= date('Y') - 118; $i--)
			{
				$sDescriptionHtml .= '<option value="' . $i . '">' . $i  . '</option>';
			}

			$sDescriptionHtml .= '</select>';
			$sDescriptionHtml .= '</p>';

			$sDescriptionHtml .= '</div>';
			echo $sDescriptionHtml;
		}

		public function validate_fields()
		{
			if(isset($_POST['woocommerce-billing-fields']) && ($_POST['woocommerce-billing-fields'] == 1))
			{
				$bValidated = true;

				if(empty($_POST['icwoorok2_afterpay_gender']) || !in_array($_POST['icwoorok2_afterpay_gender'], array('m', 'f')))
				{
					wc_add_notice( __('Please check the gender option', 'ic-woo-rabo-omnikassa-2'), 'error' );
					$bValidated = false;
				}

				if(empty($_POST['icwoorok2_afterpay_birthday_day']) || empty($_POST['icwoorok2_afterpay_birthday_month']) || empty($_POST['icwoorok2_afterpay_birthday_year']))
				{
					wc_add_notice( __('Please check your birthdate option', 'ic-woo-rabo-omnikassa-2'), 'error' );
					$bValidated = false;
				}

				if(!checkdate(intval($_POST['icwoorok2_afterpay_birthday_month']), intval($_POST['icwoorok2_afterpay_birthday_day']), intval($_POST['icwoorok2_afterpay_birthday_year'])))
				{
					wc_add_notice( __('Please check the birthdate option, this date does not seem to exist.', 'ic-woo-rabo-omnikassa-2'), 'error' );
					$bValidated = false;
				}
			}
			else
			{
				wc_add_notice( __('Please check your "birthday" or "gender".', 'ic-woo-rabo-omnikassa-2'), 'error' );
				$bValidated = false;
			}

			return $bValidated;
		}
	}