<?php

	class icwoorok2_ideal extends icwoorok2_abstract
	{
		public function getPaymentCode()
		{
			return 'icwoorok2_ideal';
		}

		public function getPaymentName()
		{
			return 'iDEAL';
		}

		public function payment_fields()
		{
			global $woocommerce;

			$sHtml = $this->get_option('description');

			$iIssuerOption = $this->getIssuerOption();

			if($iIssuerOption > 0)
			{
				// Get issuers
				$aIssuers = $this->getIssuers();

				if(!empty($aIssuers) && isset($aIssuers['issuers']))
				{

					$sHtml .= '<div class="woocommerce-billing-fields">';
					$sHtml .= '<input type="hidden" name="woocommerce-billing-fields" value="1">';
					$sHtml .= '<div class="issuer-list p">';
					$sHtml .= __('Select your bank', 'ic-woo-rabo-omnikassa-2') . '<br/>';

					if($iIssuerOption == 1)
					{

						$sHtml .= '<select id="icwoorok2_ideal_issuer" name="icwoorok2_ideal_issuer" class="required-entry">';
						$sHtml .= '<option value="">' . __('Please choose...', 'ic-woo-rabo-omnikassa-2') . '</option>';

						foreach($aIssuers['issuers'] as $aIssuer)
						{
							$sHtml .= '<option value="' . $aIssuer['id'] . '">' . $aIssuer['name'] . '</option>';
						}

						$sHtml .= '</select>';
					}
					else //if($iIssuerOption == 2)
					{
						$sHtml .= '<div class="radio-button-wrapper" style="display: flex; flex-flow: row wrap; grid-gap: 20px;">';

						foreach($aIssuers['issuers'] as $aIssuer)
						{
							$sHtml .= '<label class="issuer-wrapper" style="display: grid; grid-template-columns: 1fr; justify-items: center; grid-row-gap: 5px;">
											<div class="image-wrapper">';

							if(isset($aIssuer['logos']))
							{
								$aImages = array_column($aIssuer['logos'], 'mimeType');
								$iImageKey = array_search('image/svg+xml', $aImages);

								if($iImageKey === false)
								{
									// NO svg found, fallback to png
									$iImageKey = array_search('image/png', $aImages);
								}

								if(isset($aIssuer['logos'][$iImageKey]) && isset($aIssuer['logos'][$iImageKey]['url']))
								{
									$iImagesize = 40;
									$sHtml .= '<img height="' . $iImagesize . '" width="' . $iImagesize . '" alt="' . $aIssuer['name'] . '" src="' . $aIssuer['logos'][$iImageKey]['url'] . '"/>';
								}
							}
							else
							{

								$sHtml .= '<span class="name">' . $aIssuer['name'] . '</span>';
							}

							$sHtml .= '</div><input type="radio" name="icwoorok2_ideal_issuer" value="' . $aIssuer['id'] . '"/></label>';
						}

						$sHtml .= '</div>';
					}

					$sHtml .= '</div>';
					$sHtml .= '</div>';
				}
			}

			echo $sHtml;
		}

		public function validate_fields()
		{
			$bValidated = true;
			$iIssuerOption = $this->getIssuerOption();

			if($iIssuerOption > 0)
			{
				// Get issuers
				$aIssuers = $this->getSimpleIssuers();

				if(isset($_POST['woocommerce-billing-fields']) && ($_POST['woocommerce-billing-fields'] == 1))
				{
					if(empty($_POST['icwoorok2_ideal_issuer']) || !array_key_exists($_POST['icwoorok2_ideal_issuer'], $aIssuers))
					{
						wc_add_notice( __('Please check the bank option', 'ic-woo-rabo-omnikassa-2'), 'error' );
						$bValidated = false;
					}
				}
				else
				{
					wc_add_notice( __('Please check your "bank".', 'ic-woo-rabo-omnikassa-2'), 'error' );
					$bValidated = false;
				}
			}

			return $bValidated;
		}

	}