<?php

	/*
		Plugin Name: iDEAL-Checkout (native) - Rabo OmniKassa 2.0 for WooCommerce
		Plugin URI: https://www.ideal-checkout.nl/plug-ins/free-plugins/wordpress-woocommerce
		Author: iDEAL Checkout
		Author URI: https://www.ideal-checkout.nl/over-ons
		Description: Accept payments through Visa, MasterCard, Afterpay, Paypal, Maestro, iDEAL and Bancontact with Rabo OmniKassa 2.0 for WooCommerce.
		Text Domain: ic-woo-omnikassa-2
		Domain Path: /languages
		Version: 2.2.6
	*/

	// Block output if accessed directly
	if(!defined('ABSPATH'))
	{
		exit;
	}

	define('ICWOOROK_ROOT_PATH' , plugin_dir_path(__FILE__));

	//Load default plugin functions
	require_once(ABSPATH . DIRECTORY_SEPARATOR . 'wp-admin' . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'plugin.php');

	// Load our libraries
	if(!defined('ICROK_FUNCTIONS_LOADED'))
	{
		require_once(ICWOOROK_ROOT_PATH . 'includes' . DIRECTORY_SEPARATOR . 'functions.php');
	}

	//Load text domain
	load_plugin_textdomain('ic-woo-rabo-omnikassa-2', false, plugin_basename(dirname(__FILE__)) . DIRECTORY_SEPARATOR . 'languages/');


	// Check if cUrl is installed on this server
	if(!function_exists('curl_version'))
	{
		function icwoorok2_doShowCurlError()
		{
			echo '<div class="error"><p>Curl is not installed.<br>In order to use the Rabo OmniKassa 2.0, you must install install CURL.<br>Ask your system administrator/hosting provider to install php_curl</p></div>';
		}
		add_action('admin_notices', 'icwoorok2_doShowCurlError');
	}

	$bFound = false;

	// Is WooCommerce active on this Wordpress installation?
	if(is_plugin_active('woocommerce' . DIRECTORY_SEPARATOR . 'woocommerce.php') || is_plugin_active_for_network('woocommerce' . DIRECTORY_SEPARATOR . 'woocommerce.php'))
	{
		$bFound = true;
	}
	elseif(is_plugin_active('woocommerce/woocommerce.php') || is_plugin_active_for_network('woocommerce/woocommerce.php'))
	{
		$bFound = true;
	}

	if($bFound)
	{
		include(ICWOOROK_ROOT_PATH . 'controllers' . DIRECTORY_SEPARATOR . 'icwoorok2-controller.php');
		Icwoorok2Controller::init();
	}
	else
	{
		// Woocommerce isn't active, show error
		function icwoorok2_doShowWoocommerceError()
		{
			echo '<div class="error"><p>Rabo OmniKassa 2.0 plugin requires WooCommerce to be active</p></div>';
		}
		add_action('admin_notices', 'icwoorok2_doShowWoocommerceError');
	}




?>